org.jboss.resteasy.util

## Class PrefixedMultivaluedMap<V>

- java.lang.Object
- - org.jboss.resteasy.util.DelegatingMultivaluedMap<String,V>
  - - org.jboss.resteasy.util.PrefixedMultivaluedMap<V>

- Type Parameters:
    `K` - The type of the keys in the map.
    `V` - The type of the values in the lists in the map.
  All Implemented Interfaces:
    Map<String,List<V>>, MultivaluedMap<String,V>

      public class PrefixedMultivaluedMap<V>
      extends DelegatingMultivaluedMap<String,V>

  `MultivaluedMap` implementation that wraps another instance and only returns values that are prefixed with the given `#prefix`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrefixedMultivaluedMap(String prefix, MultivaluedMap<String,V> delegate)` Constructor setting the prefix and the delegate.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<V>` | `get(Object key)` Returns the value assigned to "prefix.key" implicitly converts the key to `String`
    `Set<String>` | `keySet()`

    - ### Methods inherited from class org.jboss.resteasy.util.DelegatingMultivaluedMap

      `add, addAll, addAll, addFirst, clear, containsKey, containsValue, entrySet, equals, equalsIgnoreValueOrder, getFirst, hashCode, isEmpty, put, putAll, putSingle, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixedMultivaluedMap

          public PrefixedMultivaluedMap(String prefix,
                                MultivaluedMap<String,V> delegate)

      Constructor setting the prefix and the delegate.

  - ### Method Detail

    - #### get

          public List<V> get(Object key)

      Returns the value assigned to "prefix.key" implicitly converts the key to `String`
      Specified by:
        `get` in interface `Map<String,List<V>>`
      Overrides:
        `get` in class `DelegatingMultivaluedMap<String,V>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,List<V>>`
      Overrides:
        `keySet` in class `DelegatingMultivaluedMap<String,V>`

Copyright © 2014. All Rights Reserved.